Subject: Re: git-svn with big subversion repository

From: Phil Hord <[email-masked]>
Date: Wed, 02 Mar 2011 23:13:44 -0500

On 03/01/2011 09:43 PM, John Kristian wrote:
> How do you recommend using git to work with branches of a large, busy
> subversion repository? In general, how can small teams use git for their
> tasks, and use subversion to coordinate with a larger organization?
>
> git-svn has some trouble, I find. For example, this tries to copy the entire
> repo starting with revision 1:
>
> git svn clone --stdlayout svn+ssh://server/repo/project
>
> This would take weeks, I estimate for my subversion repository.
>
> Choosing a subset of the repository enables git svn clone to cope, but then
> git svn fetch will stall after processing a few revisions.  For example:
>
> git svn clone --no-follow-parent --no-minimize-url \
>  --branches=branches \
>  --ignore-paths="^(?!branches/(TEAM_|RELEASE_))" \
>  -r $BASE svn+ssh://server/repo/project
> git svn fetch --no-follow-parent # stalls
>
> I don't why it stalls. I guess it's doing something that requires processing
> the entire subversion repository.

My initial git-svn clone took several days and many restarts.  It was
much faster on my laptop.  I found out later I had a flaky router and it
was dropping about 20% of my packets.  Replaced the router and the clone
dropped to a reasonable couple-of-hours.   Is it just me?

You can optimize by cloning specific paths inside the svn repo and then
merging in git later.

Phil